Issue galley locale error


#1

One of our journals is wishing to publish a full issue but has come across this error when creating an issue galley.

We are using OJS 3.1.1

The Create Issue Galley form asks for a Public Galley Identifier as a required field (not a required field in previous versions?) but when text is added into the field the error “An issue galley locale is required” displays (see screenshot).

Is this a bug? Is there a particular format for issue galleys that we don’t know about?
Thanks


Fixes in next release
#2

I have a journal editor with exactly the same issue as above? Using OJS 3.1.1. I’m also confused as to gets added to the new Public Galley Identifier field as I haven’t seen this before?


#3

Any suggestions, ideas?


#4

Hi all,

Yes, this seems to be a bug. I opened an GitHub Issue: https://github.com/pkp/pkp-lib/issues/3876, and provided a patch there: https://github.com/pkp/ojs/pull/2034/files.
Could you then please apply the patch/those changes – then it should work as supposed…

Thanks!
Bozana


#5

Hi, we applied this patch but it doesn’t seem to have fixed the issue, we are still being asked for and identifier and an error pops up stating an ‘issue galley locale is required’?


#6

Hi @Tuwpub

Hmmm… That is strange, at least for the identifier. Could you please double check if the word “required” is removed from that form element in templates/controllers/grid/issueGalleys/form/issueGalleyForm.tpl, as in the patch? If so, could you also try to clear cache as admin: Administration > Clear Template Cache and Clear Data Caches?

Best,
Bozana


#7

And concerning locale message: what locales does your journal supports and how are their settings in Settings > Website > Languages?


#8

HI, I’m communicating between our IT team and this forum so excuse the time lapse.
They have cleared the template and data cache,

English is our only locale,

While OJS is still asking for the Issue galley Locale there is progress – the public identifier field no longer has a pink asterix beside it!


#9

Hi @Tuwpub

Great that the public identifier works now!
And I figured out that we have already fixed the problem with the locale some time ago – you would need to apply this patch/changes: https://github.com/pkp/ojs/commit/e98c0a061a239d75ccda37221313f19d8a926b56#diff-34bbb29b9ee356fcfc7a501154720d17

Best,
Bozana


#10

Thanks Bozana

The error is now fixed and I was able to upload the full issue pdf with no errors. Thank you very much for your assistance.


#11

Hi @bozana. Is this patch included in any of the recent OJS 3 upgrades? We are on 3.1.1


#12

Hi @LuqmanH

Not yet, it will be in the next OJS release…

Best,
Bozana